Subject: Blast from the past

From: "J. Noel Chiappa" <[email-masked]>
Date: Wed, 24 Jan 2001 22:30:07 -0500

For those of you with a historical bent, you may find:

    http://ana-3.lcs.mit.edu/~jnc/tech/IntFeb82.jpeg

rather interesting. It's a topological map of the Internet, circa February
1982, drawn by none other than Jon Postel himself.

	Noel

PS: Those of you with sharp eyes will notice that everything has a class A
address!

---

From: Paul Hoffman / IMC <[email-masked]>
Date: Thu, 25 Jan 2001 10:42:32 -0800

>PS: Those of you with sharp eyes will notice that everything has a class A

...and that some of those addresses still work, and appear to be used 
by folks directly related to the original owners. If only URLs could 
be so persistent...

--Paul Hoffman, Director
--Internet Mail Consortium

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 25 Jan 2001 16:20:54 -0600

> by folks directly related to the original owners. If only URLs could

However, I have to observe that this strange thing called ARPANET
appears to be using private addresses :-)

   Brian

---

From: [email-masked]
Date: Thu, 25 Jan 2001 17:53:16 -0500

> appears to be using private addresses :-)

So damned private some people started CSNet and Bitnet because they
couldnt' get Arpanet addresses ;)
-- 
				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech

---

From: Bob Hinden <[email-masked]>
Date: Thu, 25 Jan 2001 16:52:03 -0800

>appears to be using private addresses :-)

I think it was Danny Cohen who said that in the US the private networks are 
public and the public networks are private.

Bob

---

From: "Ole J. Jacobsen" <[email-masked]>
Date: Thu, 25 Jan 2001 19:04:58 -0800 (PST)

Kind of like public schools in England which are private ;-)

I think NATs should be loaded with the final copy of HOSTS.TXT
and assign names on the net 10 side accordingly...

Ole

Ole J. Jacobsen 
Editor and Publisher
The Internet Protocol Journal
Office of the CTO, Cisco Systems
Tel: +1 408-527-8972
GSM: +1 415-370-4628
E-mail: [email-masked]
URL: http://www.cisco.com/ipj

---

From: [email-masked] (Dan McDonald)
Date: 28 Jan 2001 00:00:16 GMT

In article <[email-masked]>,
Ole J. Jacobsen <[email-masked]> wrote:

<SNIP!>
>and assign names on the net 10 side accordingly...

Speaking of that, does anyone know where one could find a copy (final,
historical, or otherwise) of HOSTS.TXT?  I barely remember huge /etc/hosts
files, and it would be historically interesting to peruse, I think.

Thanks!
--
Daniel L. McDonald  -  Solaris Internet Engineering  ||  MY OPINIONS ARE NOT
Mail: [email-masked], [email-masked] <*>        ||  NOT NECESSARILY SUN'S!
Phone: +1 650 786 6815           |"rising falling at force ten
WWW: http://www.kebe.com/~danmcd | we twist the world and ride the wind" - Rush

---

From: "Perry E. Metzger" <[email-masked]>
Date: 28 Jan 2001 12:29:11 -0500

> files, and it would be historically interesting to peruse, I think.

I'm curious when HOSTS.TXT finally died completely.

I had a machine at Bellcore that I used for hosting a couple of
mailing lists, and I (well, it -- I automated the process) was still
periodically downloading HOSTS.TXT off of SRI-NIC.ARPA (I think) as
late as '88 or maybe even early '89 if I'm not totally
hallucinating. The machine ran DNS just fine, but not every user's
mail host was in the DNS so I just made sure to have both sets of data
available. I also vaguely recall needing to worry about Bitnet gateway
machines in the sendmail configs and similar goo.

Amazing how long the DNS transition took....

Perry

---

From: Alex Bochannek <[email-masked]>
Date: Wed, 31 Jan 2001 10:12:55 -0800

Here's some information about HOSTS.TXT from Jake Feinler, formerly of
SRI-NIC.

Alex.

> The SRI NIC registered hosts and maintained the official list of host
> names from 1970 up until the SRI NIC ceased to exist in Oct. 1992.  At
> that time naming and addressing activities were turned over to NSI and
> SRI was no longer involved.  
> 
> However, I am not sure what the IETF discussion is referring to. 
> HOSTS.TXT was originally an official file that hosts needed to load onto
> their machines to identify hostnames in headers.  The file became too big
> for many machines, and there was network congestion due to everyone
> trying to download the file from the SRI machine.   Consequently, some
> hosts started maintaining only a small subset of host names for sites
> with which they frequently communicated.  Obviously that was a bad
> solution to the problem.  
> 
> Then the NIC provided a server  that allowed one to refresh one's host
> tables automatically and/or query the server on the fly for a given
> hostname.  This service was replicated at ISI and BBN (maybe other sites
> - I can't remember),  and these additional servers refreshed their host
> tables from the NIC.   Finally the network went to the domain naming
> system; however, SRI-NIC still continued to provide the official naming
> registration and distribution service for the Internet until we went
> offline.
> 
> I left SRI in Sept. 1989.  The NIC contract lasted until Oct. 1992.  Dr.
> Jose Garcia-Luna, now at UC Santa Cruz, was leading the group until the
> contract ended.  Mary Stahl and Sue Romano headed up the Name Service, so
> these people could give the definitive answer to the question asked.